commit: c97013e21a9521455cdb78fa4be62095f61987cb
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 13 06:39:18 2024 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Jan 13 14:40:35 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c97013e2
sys-apps/systemd: enable kernel-install by default, drop dummy config
On systemd profiles sys-kernel/installkernel automatically pulls in
systemd's kernel-install via USE=systemd, enable this flag by default
to reduce configuration steps on these profiles. Note that this is not
required in systemd-utils since this package is only relevant for
non-systemd profiles.
Systemd installs a dummy config file to /usr/lib/kernel/install.conf.
This is a bit unfortunate because it prevents sys-kernel/installkernel
from installing a config file there, which then must install the config
file to /etc/kernel/install.conf instead. Clean up the dummy config
to make room for installkernel's config. Note that systemd-utils
does not install this dummy config, so no changes are required there.
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
.../systemd/{systemd-254.5-r1.ebuild => systemd-254.5-r2.ebuild} | 9 +++++++--
.../systemd/{systemd-254.7.ebuild => systemd-254.7-r1.ebuild} | 9 +++++++--
.../systemd/{systemd-254.8.ebuild => systemd-254.8-r1.ebuild} | 7 ++++++-
.../systemd/{systemd-255.2-r1.ebuild => systemd-255.2-r2.ebuild} | 9 +++++++--
sys-apps/systemd/systemd-9999.ebuild | 9 +++++++--
5 files changed, 34 insertions(+), 9 deletions(-)
diff --git a/sys-apps/systemd/systemd-254.5-r1.ebuild
b/sys-apps/systemd/systemd-254.5-r2.ebuild
similarity index 98%
rename from sys-apps/systemd/systemd-254.5-r1.ebuild
rename to sys-apps/systemd/systemd-254.5-r2.ebuild
index f011c25978c4..16b52e5e6df0 100644
--- a/sys-apps/systemd/systemd-254.5-r1.ebuild
+++ b/sys-apps/systemd/systemd-254.5-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2023 Gentoo Authors
+# Copyright 2011-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -36,7 +36,7 @@ LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
SLOT="0/2"
IUSE="
acl apparmor audit boot cgroup-hybrid cryptsetup curl +dns-over-tls
elfutils
- fido2 +gcrypt gnutls homed http idn importd iptables kernel-install
+kmod
+ fido2 +gcrypt gnutls homed http idn importd iptables +kernel-install
+kmod
+lz4 lzma +openssl pam pcre pkcs11 policykit pwquality qrcode
+resolvconf +seccomp selinux split-usr +sysv-utils test tpm ukify
vanilla xkb +zstd
"
@@ -410,6 +410,11 @@ multilib_src_install_all() {
gen_usr_ldscript -a systemd udev
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
use ukify && python_fix_shebang "${ED}"
use boot && secureboot_auto_sign
}
diff --git a/sys-apps/systemd/systemd-254.7.ebuild
b/sys-apps/systemd/systemd-254.7-r1.ebuild
similarity index 98%
rename from sys-apps/systemd/systemd-254.7.ebuild
rename to sys-apps/systemd/systemd-254.7-r1.ebuild
index 24e8d28419d6..e25d093cecfa 100644
--- a/sys-apps/systemd/systemd-254.7.ebuild
+++ b/sys-apps/systemd/systemd-254.7-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2023 Gentoo Authors
+# Copyright 2011-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -36,7 +36,7 @@ LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
SLOT="0/2"
IUSE="
acl apparmor audit boot cgroup-hybrid cryptsetup curl +dns-over-tls
elfutils
- fido2 +gcrypt gnutls homed http idn importd iptables kernel-install
+kmod
+ fido2 +gcrypt gnutls homed http idn importd iptables +kernel-install
+kmod
+lz4 lzma +openssl pam pcre pkcs11 policykit pwquality qrcode
+resolvconf +seccomp selinux split-usr +sysv-utils test tpm ukify
vanilla xkb +zstd
"
@@ -410,6 +410,11 @@ multilib_src_install_all() {
gen_usr_ldscript -a systemd udev
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
use ukify && python_fix_shebang "${ED}"
use boot && secureboot_auto_sign
}
diff --git a/sys-apps/systemd/systemd-254.8.ebuild
b/sys-apps/systemd/systemd-254.8-r1.ebuild
similarity index 98%
rename from sys-apps/systemd/systemd-254.8.ebuild
rename to sys-apps/systemd/systemd-254.8-r1.ebuild
index 8cca4cf0eede..b6768d8268e6 100644
--- a/sys-apps/systemd/systemd-254.8.ebuild
+++ b/sys-apps/systemd/systemd-254.8-r1.ebuild
@@ -36,7 +36,7 @@ LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
SLOT="0/2"
IUSE="
acl apparmor audit boot cgroup-hybrid cryptsetup curl +dns-over-tls
elfutils
- fido2 +gcrypt gnutls homed http idn importd iptables kernel-install
+kmod
+ fido2 +gcrypt gnutls homed http idn importd iptables +kernel-install
+kmod
+lz4 lzma +openssl pam pcre pkcs11 policykit pwquality qrcode
+resolvconf +seccomp selinux split-usr +sysv-utils test tpm ukify
vanilla xkb +zstd
"
@@ -411,6 +411,11 @@ multilib_src_install_all() {
gen_usr_ldscript -a systemd udev
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
use ukify && python_fix_shebang "${ED}"
use boot && secureboot_auto_sign
}
diff --git a/sys-apps/systemd/systemd-255.2-r1.ebuild
b/sys-apps/systemd/systemd-255.2-r2.ebuild
similarity index 98%
rename from sys-apps/systemd/systemd-255.2-r1.ebuild
rename to sys-apps/systemd/systemd-255.2-r2.ebuild
index 19a1a600fcba..6cfbfe0e4aba 100644
--- a/sys-apps/systemd/systemd-255.2-r1.ebuild
+++ b/sys-apps/systemd/systemd-255.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2023 Gentoo Authors
+# Copyright 2011-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -39,7 +39,7 @@ LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
SLOT="0/2"
IUSE="
acl apparmor audit boot cgroup-hybrid cryptsetup curl +dns-over-tls
elfutils
- fido2 +gcrypt gnutls homed http idn importd iptables kernel-install
+kmod
+ fido2 +gcrypt gnutls homed http idn importd iptables +kernel-install
+kmod
+lz4 lzma +openssl pam pcre pkcs11 policykit pwquality qrcode
+resolvconf +seccomp selinux split-usr +sysv-utils test tpm ukify
vanilla xkb +zstd
"
@@ -403,6 +403,11 @@ multilib_src_install_all() {
newpamd "${FILESDIR}"/systemd-user.pam systemd-user
fi
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
use ukify && python_fix_shebang "${ED}"
use boot && secureboot_auto_sign
}
diff --git a/sys-apps/systemd/systemd-9999.ebuild
b/sys-apps/systemd/systemd-9999.ebuild
index 19a1a600fcba..6cfbfe0e4aba 100644
--- a/sys-apps/systemd/systemd-9999.ebuild
+++ b/sys-apps/systemd/systemd-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2023 Gentoo Authors
+# Copyright 2011-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -39,7 +39,7 @@ LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
SLOT="0/2"
IUSE="
acl apparmor audit boot cgroup-hybrid cryptsetup curl +dns-over-tls
elfutils
- fido2 +gcrypt gnutls homed http idn importd iptables kernel-install
+kmod
+ fido2 +gcrypt gnutls homed http idn importd iptables +kernel-install
+kmod
+lz4 lzma +openssl pam pcre pkcs11 policykit pwquality qrcode
+resolvconf +seccomp selinux split-usr +sysv-utils test tpm ukify
vanilla xkb +zstd
"
@@ -403,6 +403,11 @@ multilib_src_install_all() {
newpamd "${FILESDIR}"/systemd-user.pam systemd-user
fi
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
use ukify && python_fix_shebang "${ED}"
use boot && secureboot_auto_sign
}